Get photo details
GET/cms/photo/{id}
GET
/cms/photo/{id}
Returns details of a specific photo.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Responses
Section titled “Responses”Photo details
Attachment
API representation of an attachment (images, video, files)
object
id
Attachment ID
integer format: int64
name
Name
string
description
Description
string
type
Type (image|video|file)
string
url
Public URL
string
width
Width in pixels
integer format: int32
height
Height in pixels
integer format: int32
focal
Focal point as “x% y%”
string
transforms
Transforms (list of available image transforms)
Array<object>
object
x
Width in pixels
integer format: int32
y
Height in pixels
integer format: int32
url
URL of the transformed image
string
urls
Additional urls per transform
object
url_medium
Search title
string
url_highres
Search description
string
url_original
Social title
string
video
One of:
Video
API representation of a video
object
id
Video ID
integer format: int64
title
Title
string
url
URL
string
duration
Duration in seconds
integer format: int64
number
Episode number
integer format: int64
status
Status
string
showId
Show ID
integer format: int64
showName
Show name
string
showUrl
Show URL
string
brief
Brief
string
thumbnail
Thumbnail URL
string
thumbnailPlay
ThumbnailPlay URL
string
filename
Filename/URL
string
publishDate
Publish date
string
views
Views
integer format: int64
publish
Publish flag
formats
Formats
Array<object>
Video_FormatAPI representation of a video format
object
format
Format
string
filename
Filename/URL
string
cdnPath
CDN path
string
mime
MIME type
string
duration
Duration in seconds
integer format: int32
Forbidden
Photo not found